# ArrayObject::offsetGet

(PHP 5, PHP 7, PHP 8)

ArrayObject::offsetGet — Returns the value at the specified index

### 说明

public ArrayObject::offsetGet(mixed `$key`): mixed

### 参数

`key`

  The index with the value.

### 返回值

The value at the specified index or `null`.

### 错误／异常

Produces an `E_NOTICE` error message when the specified index does not exist.

### 示例

示例 #1 ArrayObject::offsetGet() example

`<?php
$arrayobj = new ArrayObject(array('zero', 7, 'example'=>'e.g.'));
var_dump($arrayobj->offsetGet(1));
var_dump($arrayobj->offsetGet('example'));
var_dump($arrayobj->offsetExists('notfound'));
?>`

以上示例会输出：

    int(7)
    string(4) "e.g."
    bool(false)

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open